> ## Documentation Index
> Fetch the complete documentation index at: https://developer.findity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Organization expense types

> Returns the expense types available on the current organization. The expense types can be:

* ReceiptVerification: Normal receipts and entertainment expenses
* CarSpecification: For mileage expenses
* TravelExpense: Per diem expenses
* FoodBenefitsSpecification: Food benefit expenses
* FuelBenefitsSpecification: Fuel benefit expenses

The expense types can be used to [render the different expense views](https://developer.findity.com/reference/rendering-expense-views) using the fields endpoint which greatly simplifies the implementation of handling the localization rules and custom setup by organizations



## OpenAPI

````yaml /openapi/findity-expense-api.json get /me/organizations/{id}/expensetypes
openapi: 3.0.3
info:
  title: Findity Expense API
  description: Findity Expense API
  version: 1.0.0
servers:
  - url: https://stage-api.findity.com/api/v1/expense
  - url: https://api.findity.com/api/v1/expense
security:
  - bearerAuth: []
paths:
  /me/organizations/{id}/expensetypes:
    get:
      tags:
        - Organizations
      summary: Organization expense types
      description: >-
        Returns the expense types available on the current organization. The
        expense types can be:


        * ReceiptVerification: Normal receipts and entertainment expenses

        * CarSpecification: For mileage expenses

        * TravelExpense: Per diem expenses

        * FoodBenefitsSpecification: Food benefit expenses

        * FuelBenefitsSpecification: Fuel benefit expenses


        The expense types can be used to [render the different expense
        views](https://developer.findity.com/reference/rendering-expense-views)
        using the fields endpoint which greatly simplifies the implementation of
        handling the localization rules and custom setup by organizations
      operationId: getOrganizationExpenseTypes
      parameters:
        - $ref: '#/components/parameters/organizationId'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ArrayOfExpenseTypes'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/404Error'
              examples:
                organization not found:
                  value:
                    result: error
                    code: ORGANIZATION_NOT_FOUND
                    description: >-
                      Failed to get organization for id:
                      b0d18fe3c5864d05a05ce5656cb14696
components:
  parameters:
    organizationId:
      in: path
      name: id
      required: true
      description: The id of the organization of the user
      schema:
        $ref: '#/components/schemas/Uuid'
      example: 05b8daba9ba14a49846fe77883248cf0
  schemas:
    ArrayOfExpenseTypes:
      type: object
      properties:
        meta:
          properties:
            count:
              type: integer
            total:
              type: integer
        data:
          type: array
          items:
            $ref: '#/components/schemas/ExpenseType'
      example:
        meta:
          count: 5
          total: 5
        data:
          - type: CarSpecification
            name: Mileage
            iconUrl: >-
              https://expense.findity.com/api/resources/a7352e074ebf46378d3a0d6ca94d9c14
          - type: FoodBenefitsSpecification
            name: Food benefit
            iconUrl: >-
              https://expense.findity.com/api/resources/2db726125795418b964547ac91e059cd
          - type: FuelBenefitsSpecification
            name: Fuel benefit
            iconUrl: >-
              https://expense.findity.com/api/resources/7fa2309f7a224cb4bd0ea071300c480c
          - type: ReceiptVerification
            name: Expense
            iconUrl: >-
              https://expense.findity.com/api/resources/ff808181442fd36301443006074e00c4
          - type: SubsistenceAllowance
            name: Subsistence allowance
            iconUrl: >-
              https://expense.findity.com/api/resources/c1abd36dbb1d4499a215129e05d46795
    404Error:
      type: object
      properties:
        result:
          type: string
        code:
          type: string
        description:
          type: string
    Uuid:
      type: string
      pattern: ^[0-9a-fA-F]{32}$
      description: UUID without dashes (32-character hex string)
    ExpenseType:
      type: object
      properties:
        type:
          type: string
          description: >-
            Expense type where CarSpecification relates to Mileage,
            SubsistenceAllowance to Per Diem, etc
          enum:
            - CarSpecification
            - FoodBenefitsSpecification
            - FuelBenefitsSpecification
            - ReceiptVerification
            - SubsistenceAllowance
        name:
          type: string
        iconUrl:
          type: string
          format: uri
        canCreate:
          type: boolean
          description: true if the user can create an expense record of this type
      example:
        type: ReceiptVerification
        name: Expense
        iconUrl: >-
          https://expense.findity.com/api/resources/ff808181442fd36301443006074e00c4
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````